summaryrefslogtreecommitdiffstats
path: root/games/zsdx
diff options
context:
space:
mode:
Diffstat (limited to 'games/zsdx')
-rw-r--r--games/zsdx/share.patch.gzbin0 -> 973 bytes
-rw-r--r--games/zsdx/zsdx.SlackBuild31
-rw-r--r--games/zsdx/zsdx.info2
3 files changed, 8 insertions, 25 deletions
diff --git a/games/zsdx/share.patch.gz b/games/zsdx/share.patch.gz
new file mode 100644
index 0000000000..2ee038ff8d
--- /dev/null
+++ b/games/zsdx/share.patch.gz
Binary files differ
diff --git a/games/zsdx/zsdx.SlackBuild b/games/zsdx/zsdx.SlackBuild
index 811d974a10..129bca7a05 100644
--- a/games/zsdx/zsdx.SlackBuild
+++ b/games/zsdx/zsdx.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Zelda: Mystery of Solarus DX
-# Copyright 2015-2016 Hunter Sezen California, USA
+# Copyright 2015-2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=zsdx
VERSION=${VERSION:-1.11.0}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -69,6 +69,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Install icons and a desktop file.
+# https://github.com/solarus-games/zsdx/pull/122
+zcat $CWD/share.patch.gz | patch -p1
+
mkdir -p build
cd build
cmake \
@@ -82,27 +86,6 @@ cd build
make install DESTDIR=$PKG
cd ..
-# Write a desktop file
-mkdir -p $PKG/usr/share/applications
-cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
-[Desktop Entry]
-Name=Zelda: Mystery of Solarus DX
-Exec=$PRGNAM
-Icon=$PRGNAM-logo
-Type=Application
-Comment=Zelda: Mystery of Solarus DX (action rpg game)
-Categories=Game;ActionGame;
-EOF
-
-# Add missing icons to package
-for pngicon in data/logos/icon_*.png ; do
- if [ -f $pngicon ]; then
- size=$(basename $pngicon .png | tr -dc 0-9)
- install -Dm0644 $pngicon $PKG/usr/share/icons/hicolor/${size}x${size}/apps/$PRGNAM.png
- fi
-done
-install -Dm0644 data/logos/logo_2x.png $PKG/usr/share/pixmaps/$PRGNAM-logo.png
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a changelog.txt license.txt readme.md work/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/games/zsdx/zsdx.info b/games/zsdx/zsdx.info
index 5c7efe013e..7a79fdedfb 100644
--- a/games/zsdx/zsdx.info
+++ b/games/zsdx/zsdx.info
@@ -1,7 +1,7 @@
PRGNAM="zsdx"
VERSION="1.11.0"
HOMEPAGE="http://www.solarus-games.org/"
-DOWNLOAD="https://github.com/christopho/zsdx/archive/zsdx-1.11.0.tar.gz"
+DOWNLOAD="https://github.com/christopho/zsdx/archive/zsdx-1.11.0/zsdx-1.11.0.tar.gz"
MD5SUM="6f145d0e6e39f8446a750c30bf0fd061"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""